Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06629 Side-by-side Major Always Jul 16, 2017, 14:43 Jul 20, 2017, 07:03
Tester trebor View Status Public Platform MAME (Official Binary)
Assigned To Resolution Open OS Windows 10 (64-bit)
Status [?] Acknowledged Driver a7800.cpp
Version 0.187 Fixed in Version Build 64-bit
Summary MESS-specific 06629: a7800 a7800p: Incorrect RIOT Behavior
Description As implemented in the new mos6530n RIOT core (MESS 0.162), the timer counts down to zero and stops. This isn't authentic to real hardware, which will continue to decrement past 0 to 255 and down again continuously (See MESS 0.161 and earlier).
Steps To Reproduce A 7800 "readriot" program to demonstrate this is attached. If you press the trigger it will set T1024T=255.

A 2600 "readriot" program is also attached. Please note that the current a2600 driver is using the old RIOT code, so the program will behave authentically here.
Additional Information Also, a fix for MT6060 was put into most6530n.cpp under mos6530_device_base::device_reset(), initializing m_pa_out=0xff and m_pb_out=0xff. Once the timer behavior is made authentic, the correct RIOT initialization value of 0 should be able to be used, without causing the issues seen under MT6060.
Flags Verified with Original, Verified with Code
Regression Version MESS 0.162
Affected Sets / Systems a7800 a7800p
Attached Files
zip file icon readriot_a7800_a2600.zip (4,930 bytes) Jul 16, 2017, 14:43 Uploaded by trebor
readriot program
Relationships
There are no relationsihp linked to this issue.
Notes
3
User avatar
No.13985
Haze
Senior Tester
Jul 18, 2017, 09:30
I wonder if this is also why the a2600 supercharger didn't work with the new riot, would be nice if we could finally kill off the old code without any nasty side-effects.
User avatar
No.13986
Haze
Senior Tester
Jul 18, 2017, 10:09
edited on: Jul 18, 2017, 10:10
well if I make the timer keep running it does indeed fix the supercharger so that it can use the newer RIOT code in a2600, however I still have to initialize m_pa_out / m_pa_out to 0xff in order for 1on1u to run (MT6060) it seems an unrelated problem?

somebody who knows the hardware better should really be looking at this.

User avatar
No.13988
trebor
Tester
Jul 19, 2017, 00:47
Haze, regarding 1on1u, there is an Note: 00010 second introduction melody (With Larry Bird taking a missed shot) that cannot be bypassed.

After that introduction, the game option screen appears. From that point, either the various options can be chosen among or a game can be started right away by selecting any of the options under "PLAY BALL!"